Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
bachngoctung

Bản vẽ có vấn đề cần trợ giúp

Các bài được khuyến nghị

- MInhf có 1 bản vẽ cad 07 nó bị như sau:

+ Khi zoom xa:

CS0.7645114_1_1.bmp

+ Khi zoom gần:

EG0.7645110_1_1.bmp

-Hiện tượng trên nó chẳng ảnh hưởng gì đến vẽ và in ấn cả, nhưng nhìn ngứa mắt ko thể chịu nổi. Mong mội người giúp đỡ cách khắc phục

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hiện tượng này nhiều khả năng là do tồn tại các đối tượng text không có nội dung (text rỗng hoặc toàn dấu cách) trong bản vẽ.

 

Bạn dùng lisp sau đây để xóa các đối tượng đó đi:

 

Lệnh là EET (erase empty text)

(defun c:eet()
 (setq ss (ssget "x" '((0 . "TEXT") (1 . "~*[~ ]*"))))
 (if ss
(progn
  (command ".erase" ss "")
  (princ "\nDa xoa ") (princ (sslength ss)) (princ " doi tuong text rong!")
)
(princ "Khong co doi tuong text rong nao!")
 )
 (princ)
)

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em cũng gặp lỗi gần giống như trên( có những ô vuông trắng ở phía ngoài khung bản vẽ), cách làm của em là copy sang file bản vẽ khác.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
- MInhf có 1 bản vẽ cad 07 nó bị như sau:

+ Khi zoom xa:

CS0.7645114_1_1.bmp

+ Khi zoom gần:

EG0.7645110_1_1.bmp

-Hiện tượng trên nó chẳng ảnh hưởng gì đến vẽ và in ấn cả, nhưng nhìn ngứa mắt ko thể chịu nổi. Mong mội người giúp đỡ cách khắc phục

ax! cái này mới quá! mong các pác chỉ giáo!tks,,,,,,,

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hiện tượng này nhiều khả năng là do tồn tại các đối tượng text không có nội dung (text rỗng hoặc toàn dấu cách) trong bản vẽ.

 

Bạn dùng lisp sau đây để xóa các đối tượng đó đi:

 

Lệnh là EET (erase empty text)

(defun c:eet()
 (setq ss (ssget "x" '((0 . "TEXT") (1 . "~*[~ ]*"))))
 (if ss
(progn
  (command ".erase" ss "")
  (princ "\nDa xoa ") (princ (sslength ss)) (princ " doi tuong text rong!")
)
(princ "Khong co doi tuong text rong nao!")
 )
 (princ)
)

-Cám ơn anh Hoành nhé, mấy hôm nhà e bị đứt dây mạng chả làm gì dc. Để e về thử lisp trên xem sao

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

- Được rồi anh Hoành à lisp chạy ngon > bác bắt đúng bệnh rồi. Em load lisp phát đánh EET cái nó báo luôn có 185 đối tượng text rỗng và xóa luôn>>> nhìn bản vẽ lại ngon giai rồi

- Một lần nữa xin cám ơn bác Hoành :cheers:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×